Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class S_Selector

    java.lang.Object

      |

      +--oracle.ifs.server.S_Selector

public final class S_Selector
extends java.lang.Object

The S_Selector class creates and executes SIMPLE searches server-side.

Constructor Summary
`` | `S_Selector(S_LibrarySession session)` Construct a Selector object.

Method Summary
`int` | `getItemCount()` Returns the number of items in the search results.
`S_LibraryObject[]` | `getItems()` Returns the entire search results as an array.
`java.lang.String` | `getSearchClassname()` Returns the search class that was set using setSearchClassname()
`java.lang.String` | `getSearchSelection()` Returns the search selection that was set using setSearchSelection()
`S_LibrarySession` | `getSession()` Returns the session being used by this Selector.
`SortSpecification` | `getSortSpecification()` Returns the Sort Specification
`boolean` | `isRecursiveSearch()` Returns true if recursive searching is enabled with respect to classes.
`void` | `resetItems()` Clears locally stored search results.
`void` | `setRecursiveSearch(boolean recursive)` Enables/disables recursive searching with respect to classes.
`void` | `setSearchClassname(java.lang.String searchClass)` Sets the search class.
`void` | `setSearchSelection(java.lang.String searchSelection)` Sets the search selection.
`void` | `setSortSpecification(SortSpecification spec)` Sets the Sort Specification

Constructor Detail

### S_Selector

    public S_Selector(S_LibrarySession session)
               throws IfsException

  Construct a Selector object.
  Parameters:
    `session` - the current session.

Method Detail

### getSortSpecification

    public SortSpecification getSortSpecification()
                                           throws IfsException

  Returns the Sort Specification
  Returns:
    the search item sort specificaion.
  Throws:
    `IfsException` - if the operation fails.

### setSortSpecification

    public void setSortSpecification(SortSpecification spec)
                              throws IfsException

  Sets the Sort Specification
  Parameters:
    `the` - sort specificaion.
  Throws:
    `IfsException` - if the operation fails.

### getSearchClassname

    public java.lang.String getSearchClassname()
                                        throws IfsException

  Returns the search class that was set using setSearchClassname()
  Returns:
    the search class.
  Throws:
    `IfsException` - if operation fails.

### setSearchClassname

    public void setSearchClassname(java.lang.String searchClass)
                            throws IfsException

  Sets the search class.
  Parameters:
    `searchClass` - the search class.
  Throws:
    `IfsException` - if operation fails.

### getSearchSelection

    public java.lang.String getSearchSelection()
                                        throws IfsException

  Returns the search selection that was set using setSearchSelection()
  Returns:
    the search selection.
  Throws:
    `IfsException` - if operation fails.

### setSearchSelection

    public void setSearchSelection(java.lang.String searchSelection)
                            throws IfsException

  Sets the search selection.
  Parameters:
    `searchSelection` - the search selection.
  Throws:
    `IfsException` - if operation fails.

### isRecursiveSearch

    public boolean isRecursiveSearch()
                              throws IfsException

  Returns true if recursive searching is enabled with respect to classes.
  Returns:
    true is enabled.
  Throws:
    `IfsException` - if the operation fails.

### setRecursiveSearch

    public void setRecursiveSearch(boolean recursive)
                            throws IfsException

  Enables/disables recursive searching with respect to classes. The default is set true. This is equivalent to adding _R to the class name in extended SQL syntax.
  Parameters:
    `recursive` - true for enabled.
  Throws:
    `IfsException` - if the operation fails.

### getItems

    public S_LibraryObject[] getItems()
                               throws IfsException

  Returns the entire search results as an array.
  Returns:
    the search results.
  Throws:
    `IfsException` - if operation fails.

### getItemCount

    public int getItemCount()
                     throws IfsException

  Returns the number of items in the search results. If the items have already been fetched then this simply returns the size of the locally stored vector. Otherwise this gets the count from the server.
  Returns:
    the number of items.
  Throws:
    `IfsException` - if operation fails.

### resetItems

    public void resetItems()
                    throws IfsException

  Clears locally stored search results. A subsequent call to getItems() will re-fetch the search results from the server. Any calls to search class, search selection, or attribute methods will call this method internally.
  Returns:
    true if valid cached results were cleared.
  Throws:
    `IfsException` - if operation fails.

### getSession

    public S_LibrarySession getSession()
                                throws IfsException

  Returns the session being used by this Selector.
  Returns:
    the current session
  Throws:
    `IfsException` - if the operation fails

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD